For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Pods
      • GETGet Pod
      • POSTCreate Pod
      • DELDelete Pod
        • GETList Entries
        • GETGet List Entry
        • POSTCreate List Entry
        • DELDelete List Entry
LogoLogo
contact@agentmail.ccDiscord
API ReferencePodsLists

Delete List Entry

DELETE
/v0/pods/:pod_id/lists/:direction/:type/:entry
DELETE
/v0/pods/:pod_id/lists/:direction/:type/:entry
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.pods.lists.delete(
8 pod_id="pod_id",
9 direction="send",
10 type="allow",
11 entry="entry",
12)
**CLI:** ```bash agentmail pods:lists delete --pod-id <pod_id> --direction <direction> --type <type> --entry <entry> ```
Was this page helpful?
Previous

Query Metrics

Next
Built with

CLI:

$agentmail pods:lists delete --pod-id <pod_id> --direction <direction> --type <type> --entry <entry>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

pod_idstringRequired
ID of pod.
directionenumRequired
Direction of list entry.
Allowed values:
typeenumRequired
Type of list entry.
Allowed values:
entrystringRequired
Email address or domain.

Errors

404
Not Found Error